[SciPy-user] Problems with python setup.py build

Pearu Peterson pearu at scipy.org
Thu Sep 30 06:15:49 CDT 2004



On Thu, 30 Sep 2004, Nils Wagner wrote:

> Hi all,
>
> I am using the latest f2py and scipy from cvs. I cannot build scipy, but for 
> what reason ?
>
> gcc: build/src/Lib/interpolate/dfitpackmodule.c
> build/src/Lib/interpolate/dfitpackmodule.c:407:27: macro "CHECKARRAY" 
> requires 3 arguments, but only 1 given

That's due the bug in f2py 2.43.239_1813. Update f2py and scipy from CVS, 
remove the build directory, and rerun `python setup.py build`.

Thanks,
Pearu



More information about the SciPy-user mailing list